<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <center>
    <div>
        <h1 id="countVal">0</h1>
        <button type="button" onclick="document.getElementById('countVal').innerHTML = (parseInt(document.getElementById('countVal').innerHTML) + 1).toString()">+1</button>
        <button type="button" onclick="if(confirm('Are you sure you want to reset the counter?')){document.getElementById('countVal').innerHTML = '0'}">reset</button>
        <button type="button" onclick="document.getElementById('countVal').innerHTML = (parseInt(document.getElementById('countVal').innerHTML) - 1).toString()">-1</button>
    <div>
</body>
</html>